summaryrefslogtreecommitdiffstats
path: root/system/libcloudproviders/libcloudproviders.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/libcloudproviders/libcloudproviders.SlackBuild')
-rw-r--r--system/libcloudproviders/libcloudproviders.SlackBuild8
1 files changed, 5 insertions, 3 deletions
diff --git a/system/libcloudproviders/libcloudproviders.SlackBuild b/system/libcloudproviders/libcloudproviders.SlackBuild
index bd871544c2..ff8b5908b8 100644
--- a/system/libcloudproviders/libcloudproviders.SlackBuild
+++ b/system/libcloudproviders/libcloudproviders.SlackBuild
@@ -5,6 +5,8 @@
# Copyright 2022 Isaac Yu <isaacyu1@isaacyu1.com>
# All rights reserved.
#
+# 2023 - Updated and Maintained by Bob Funk, Winnipeg, Canada
+#
# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
#
@@ -38,9 +40,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -91,6 +90,9 @@ cd build
DESTDIR=$PKG $NINJA install
cd ..
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a CHANGELOG LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild